Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class WhoWasHandler

    java.lang.Object
      com.verisign.epp.framework.EPPWhoWasHandler
          com.verisign.epp.serverstub.WhoWasHandler

All Implemented Interfaces:
  EPPEventHandler

    public class WhoWasHandler

extends EPPWhoWasHandler

This class is a concrete implementation of the abstract `EPPWhoWasHandler` class. It defines the Server's response to all received EPP WhoWas Commands.

Version:
  1.0 Mar 26, 2010
Author:
  Deepak Deshpande

Constructor Summary
`WhoWasHandler()` Default constructor

Method Summary
`protected EPPEventResponse` | `doWhoWasInfo(EPPEvent aEvent, java.lang.Object aData)` Returns the `EPPEventResponse` back to the client after processing the passed in `aEvent`.
`protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Verifies that passed in `aSessionData` has valid logged in state, otherwise throws `EPPHandleEventException`.

Methods inherited from class com.verisign.epp.framework.EPPWhoWasHandler
`getNamespace, handleEvent, postHandleEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhoWasHandler

    public WhoWasHandler()

  Default constructor

Method Detail

### preHandleEvent

    protected void preHandleEvent(EPPEvent aEvent,
                                  java.lang.Object aData)
                           throws EPPHandleEventException

  Verifies that passed in `aSessionData` has valid logged in state, otherwise throws `EPPHandleEventException`.

  Overrides:
    `preHandleEvent` in class `EPPWhoWasHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPWhoWasHandler`
  Throws:
    `Thrown` - if an error condition occurs. It must contain an `EPPEventResponse`
    `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

### doWhoWasInfo

    protected EPPEventResponse doWhoWasInfo(EPPEvent aEvent,
                                            java.lang.Object aData)

  Returns the `EPPEventResponse` back to the client after processing the passed in `aEvent`. Invoked when a WhoWas Info command is received. Subclasses should define the behavior when a WhoWas Info command is received.
  The following is the handling by input name or roid:
  - Name `create-operation-history.com` or Roid `create-rep` - Return history with CREATE operation record.
  - Name `all-operation-history.com.com` or Roid `all-rep` - Return history with list of all possible operation records.
  - Name `non-existing.com` or Roid `non-existing` - Return `EPPResult.OBJECT_DOES_NOT_EXIST` response.
  - default - Return history with CREATE operation record.

  Specified by:
    `doWhoWasInfo` in class `EPPWhoWasHandler`
  Parameters:
    `aEvent` - The `EPPEvent` that is being handled
    `aData` - Any data that a Server needs to send to this `EPPWhoWasHandler`
  Returns:
    the `EPPEventResponse` back to the client after processing the passed in `aEvent`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.